--  File:     ISOL4_2.SQL
--            Microsoft TPC-H Benchmark Kit Ver. 2.14.0-1010
--            Copyright Microsoft, 2010, 2011

--  ACID CODE BEGIN
--  Wait for 5 seconds to allow ISOL4_1 to execute
WAITFOR DELAY '00:00:05'
--  ACID CODE END

declare @acid_test	char(25),
	@rand_o_key	bigint,
	@rand_l_key	bigint,
	@rand_delta	tinyint

select	top 1
	@rand_o_key	= acid_o_key,
	@rand_l_key	= acid_l_key
from	acid_values
where	acid_test	= 'Isolation 4'
order	by seq_num asc

select	top 1
	@rand_delta	= acid_delta
from	acid_values
where	acid_test	= 'Isolation 4'
order	by seq_num desc

select	'Random Values Used',
	@rand_o_key "@RAND_O_KEY",
	@rand_l_key "@RAND_L_KEY",
	@rand_delta "@RAND_DELTA"


exec iso34_tran_w_com	@rand_o_key,
			@rand_l_key,
			@rand_delta
GO

